<!DOCTYPE html>
<html>
<head>
    <title>Calculadora de Impuesto al Patrimonio</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            text-align: center;
            background-color: #f2f2f2;
        }
        
        h1 {
            color: #333333;
        }
        
        .container {
            margin: 0 auto;
            width: 300px;
            padding: 20px;
            background-color: #ffffff;
            border: 1px solid #cccccc;
            border-radius: 4px;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        }
        
        label {
            display: block;
            margin-bottom: 10px;
            color: #666666;
        }
        
        input[type="text"] {
            width: 100%;
            padding: 8px;
            border: 1px solid #cccccc;
            border-radius: 4px;
            box-sizing: border-box;
        }
        
        input[type="submit"] {
            width: 100%;
            padding: 10px;
            background-color: #4caf50;
            color: #ffffff;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }
        
        input[type="submit"]:hover {
            background-color: #45a049;
        }
        
        .result {
            margin-top: 20px;
            color: red;
            font-size: 24px;
            font-weight: bold;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Calculadora de Impuesto al Patrimonio</h1>
        <form method="POST">
            <label for="base_gravable">Patrimonio neto a 1 de enero:</label>
            <input type="text" name="base_gravable" id="base_gravable" required>
            <br><br>
            <input type="submit" name="submit" value="Calcular Impuesto">
        </form>
        
        <?php
            if(isset($_POST['submit'])){
                $uvt = 42412;
                $base_gravable = $_POST['base_gravable'];
                $impuesto = 0;

                if ($base_gravable <= 72000 * $uvt) {
                    $impuesto = 0;
                } elseif ($base_gravable <= 122000 * $uvt) {
                    $impuesto = ($base_gravable - 72000 * $uvt) * 0.005;
                } elseif ($base_gravable <= 239000 * $uvt) {
                    $impuesto = (($base_gravable - 122000 * $uvt) * 0.01) + (250 * $uvt);
                } else {
                    $impuesto = (($base_gravable - 239000 * $uvt) * 0.015) + (1420 * $uvt);
                }

                echo '<div class="result">';
                echo 'El impuesto al patrimonio es: <span style="font-size: 28px; color: red; font-weight: bold;">' . number_format($impuesto, 2, '.', ',') . '</span>';
                echo '</div>';
            }
        ?>
    </div>
</body>
</html>




